import Vue from "vue";
import Router from "vue-router";

// 解决重复点菜单报错问题
const originalPush = Router.prototype.push;
Router.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err);
};
Vue.use(Router);

export default new Router({
  mode: 'history',
  base: '/luohe_park',
  routes: [
    { path: "/", redirect: "/static_resource" },
    {
      path: "/index",
      component: () => import("../pages/index/layouts/indexLayout.vue"),
      children: [
        {
          name: "demo1",
          path: "/demo1",
          component: () => import("../pages/index/components/demo1.vue")
        },
        {
          name: "demo2",
          path: "/demo2",
          component: () => import("../pages/index/components/demo2.vue")
        },
        {
          name: "hot_map",
          path: "/hot_map",
          component: () => import("../pages/index/components/hot_map.vue")
        },
        {
          name: "heat_map",
          path: "/heat_map",
          component: () => import("../pages/index/components/heat_map.vue")
        },
        {
          name: "static_resource",
          path: "/static_resource",
          component: () => import("../pages/index/components/static_resource.vue")
        },
        {
          name: "record_query",
          path: "/record_query",
          component: () => import("../pages/index/components/record_query.vue")
        },
        {
          name: "park_monitor",
          path: "/park_monitor",
          component: () => import("../pages/index/components/park_monitor.vue")
        },
        {
          name: "park_bahavior",
          path: "/park_bahavior",
          component: () => import("../pages/index/components/park_bahavior.vue")
        },
        {
          name: "equipment_running",
          path: "/equipment_running",
          component: () => import("../pages/index/components/equipment_running.vue")
        },
        {
          name: "employee_qualification",
          path: "/employee_qualification",
          component: () => import("../pages/index/components/employee_qualification.vue")
        },
        {
          name: "customer_complaint",
          path: "/customer_complaint",
          component: () => import("../pages/index/components/customer_complaint.vue")
        },
        {
          name: "charge_price",
          path: "/charge_price",
          component: () => import("../pages/index/components/charge_price.vue")
        },
        {
          name: "car_owner_credit",
          path: "/car_owner_credit",
          component: () => import("../pages/index/components/car_owner_credit.vue")
        },
        {
          name: "enterprise_service",
          path: "/enterprise_service",
          component: () => import("../pages/index/components/enterprise_service.vue")
        },
        {
          name: "data_docking",
          path: "/data_docking",
          component: () => import("../pages/index/components/data_docking.vue")
        },
        {
          name: "berths_information",
          path: "/berths_information",
          component: () => import("../pages/index/components/berths_information.vue")
        },
        {
          name: "berth_peration_nalysis",
          path: "/berth_peration_nalysis",
          component: () => import("../pages/index/components/berth_peration_nalysis.vue")
        },
        {
          name: "charge_business_analysis",
          path: "/charge_business_analysis",
          component: () => import("../pages/index/components/charge_business_analysis.vue")
        },
        {
          name: "access_data_analysis",
          path: "/access_data_analysis",
          component: () => import("../pages/index/components/access_data_analysis.vue")
        },
        {
          name: "berth_road",
          path: "/berth_road",
          component: () => import("../pages/index/components/berth_road.vue")
        },
        {
          name: "amap",
          path: "/amap",
          component: () => import("../pages/index/components/amap.vue")
        },
        {
          name: "track_map",
          path: "/track_map",
          component: () => import("../pages/index/components/track_map.vue")
        },
        {
          name: "berth_road_out",
          path: "/berth_road_out",
          component: () => import("../pages/index/components/berth_road_out.vue")
        },
        {
          name: "parking_fee",
          path: "/parking_fee",
          component: () => import("../pages/index/components/parking_fee.vue")
        },
        {
          name: "vehicle_violations",
          path: "/vehicle_violations",
          component: () => import("../pages/index/components/vehicle_violations.vue")
        },
        {
          name: "parking_operate",
          path: "/parking_operate",
          component: () => import("../pages/index/components/parking_operate.vue")
        },
        {
          name: "parking_area",
          path: "/parking_area",
          component: () => import("../pages/index/components/parking_area.vue")
        },
        {
          name: "service_operations",
          path: "/service_operations",
          component: () => import("../pages/index/components/service_operations.vue")
        },
        {
          name: "operation_log",
          path: "/operation_log",
          component: () => import("../pages/index/components/operation_log.vue")
        },
        {
          name: "saturation_warning",
          path: "/saturation_warning",
          component: () => import("../pages/index/components/saturation_warning.vue")
        },
        {
          name: "gap_analysis",
          path: "/gap_analysis",
          component: () => import("../pages/index/components/gap_analysis.vue")
        },
        {
          name: "park_easy",
          path: "/park_easy",
          component: () => import("../pages/index/components/park_easy.vue")
        },
        {
          name: "park_guidance",
          path: "/park_guidance",
          component: () => import("../pages/index/components/park_guidance.vue")
        },
        {
          name: "park_development_analysis",
          path: "/park_development_analysis",
          component: () => import("../pages/index/components/park_development_analysis.vue")
        },
        {
          name: "berth_recommend",
          path: "/berth_recommend",
          component: () => import("../pages/index/components/berth_recommend.vue")
        },
        {
          name: "blind_spot_digging",
          path: "/blind_spot_digging",
          component: () => import("../pages/index/components/blind_spot_digging.vue")
        },
        {
          name: "service_publish",
          path: "/service_publish",
          component: () => import("../pages/index/components/service_publish.vue")
        },
        {
          name: "announcement_function",
          path: "/announcement_function",
          component: () => import("../pages/index/components/announcement_function.vue")
        },
        {
          name: "message",
          path: "/message",
          component: () => import("../pages/index/components/message.vue")
        },
        {
          name: "berths_usage",
          path: "/berths_usage",
          component: () => import("../pages/index/components/berths_usage.vue")
        },
        {
          name: "berths_revenue",
          path: "/berths_revenue",
          component: () => import("../pages/index/components/berths_revenue.vue")
        },
        {
          name: "parking_lot_situation",
          path: "/parking_lot_situation",
          component: () => import("../pages/index/components/parking_lot_situation.vue")
        },
        {
          name: "other_analyse",
          path: "/other_analyse",
          component: () => import("../pages/index/components/other_analyse.vue")
        },
        {
          name: "service_call_function",
          path: "/service_call_function",
          component: () => import("../pages/index/components/service_call_function.vue")
        },
        {
          name: "ip_white_list",
          path: "/ip_white_list",
          component: () => import("../pages/index/components/ip_white_list.vue")
        },
        {
          name: "service_subscription_function",
          path: "/service_subscription_function",
          component: () => import("../pages/index/components/service_subscription_function.vue")
        },
        {
          name: "credential_management_function",
          path: "/credential_management_function",
          component: () => import("../pages/index/components/credential_management_function.vue")
        },
        {
          name: "support",
          path: "/support",
          component: () => import("../pages/index/components/support.vue")
        },
        {
          name: "service_monitor",
          path: "/service_monitor",
          component: () => import("../pages/index/components/service_monitor.vue")
        },
        {
          name: "business_overview",
          path: "/business_overview",
          component: () => import("../pages/index/components/business_overview.vue")
        },
        {
          name: "business_conditions",
          path: "/business_conditions",
          component: () => import("../pages/index/components/business_conditions.vue")
        },
        {
          name: "event_monitoring",
          path: "/event_monitoring",
          component: () => import("../pages/index/components/event_monitoring.vue")
        },
        {
          name: "resource_access",
          path: "/resource_access",
          component: () => import("../pages/index/components/resource_access.vue")
        },
        // 以下为运营管理平台
        {
          name: "parking_heatmap",
          path: "/parking_heatmap",
          component: () => import("../pages/index/components/parking_heatmap.vue")
        },
        {
          name: "parking_analysis_report",
          path: "/parking_analysis_report",
          component: () => import("../pages/index/components/parking_analysis_report.vue")
        },
        {
          name: "parking_analysis",
          path: "/parking_analysis",
          component: () => import("../pages/index/components/parking_analysis.vue")
        },
        {
          name: "parking_time_analysis",
          path: "/parking_time_analysis",
          component: () => import("../pages/index/components/parking_time_analysis.vue")
        },
        {
          name: "temp_parking-statistics",
          path: "/temp_parking-statistics",
          component: () => import("../pages/index/components/temp_parking-statistics.vue")
        },
        {
          name: "berth_turnover",
          path: "/berth_turnover",
          component: () => import("../pages/index/components/berth_turnover.vue")
        },
        {
          name: "parking_lot",
          path: "/parking_lot",
          component: () => import("../pages/index/components/parking_lot.vue")
        },
        {
          name: "parking_period_analysis",
          path: "/parking_period_analysis",
          component: () => import("../pages/index/components/parking_period_analysis.vue")
        },
        {
          name: "parking_live",
          path: "/parking_live",
          component: () => import("../pages/index/components/parking_live.vue")
        },
        {
          name: "berth_use",
          path: "/berth_use",
          component: () => import("../pages/index/components/berth_use.vue")
        },
        {
          name: "night_parking_statistics",
          path: "/night_parking_statistics",
          component: () => import("../pages/index/components/night_parking_statistics.vue")
        },
        {
          name: "vehicle_type",
          path: "/vehicle_type",
          component: () => import("../pages/index/components/vehicle_type.vue")
        },
        {
          name: "arrears_total",
          path: "/arrears_total",
          component: () => import("../pages/index/components/arrears_total.vue")
        },
        {
          name: "arrears_trend",
          path: "/arrears_trend",
          component: () => import("../pages/index/components/arrears_trend.vue")
        },
        {
          name: "city_arrears",
          path: "/city_arrears",
          component: () => import("../pages/index/components/city_arrears.vue")
        },
        {
          name: "city_pay",
          path: "/city_pay",
          component: () => import("../pages/index/components/city_pay.vue")
        },
        {
          name: "city_contrast",
          path: "/city_contrast",
          component: () => import("../pages/index/components/city_contrast.vue")
        },
        {
          name: "urban_statisics",
          path: "/urban_statisics",
          component: () => import("../pages/index/components/urban_statisics.vue")
        },
        {
          name: "customer_price_analysis",
          path: "/customer_price_analysis",
          component: () => import("../pages/index/components/customer_price_analysis.vue")
        },
        {
          name: "device_report",
          path: "/device_report",
          component: () => import("../pages/index/components/device_report.vue")
        },
        {
          name: "parking",
          path: "/parking",
          component: () => import("../pages/index/components/parking.vue")
        },
        {
          name: "personalized_configuration",
          path: "/personalized_configuration",
          component: () => import("../pages/index/components/personalized_configuration.vue")
        },
      ]
    }
  ]
});
