function isVehicleNumber(vehicleNumber) {
  var xreg=/^[京津沪渝冀豫云辽黑湘皖鲁新苏浙赣鄂桂甘晋蒙陕吉闽贵粤青藏川宁琼使领A-Z]{1}[A-Z]{1}(([0-9]{5}[DF]$)|([DF][A-HJ-NP-Z0-9][0-9]{4}$))/;
  var creg=/^[京津沪渝冀豫云辽黑湘皖鲁新苏浙赣鄂桂甘晋蒙陕吉闽贵粤青藏川宁琼使领A-Z]{1}[A-Z]{1}[A-HJ-NP-Z0-9]{4}[A-HJ-NP-Z0-9挂学警港澳]{1}$/;
  if(vehicleNumber.length == 7){
    return creg.test(vehicleNumber);
  } else if(vehicleNumber.length == 8){
    return xreg.test(vehicleNumber);
  } else{
    return false;
  }
}
function checkSpecialKey(str) {
  let specialKey = "[`~!#$^&*()=|{}':;'\\[\\].<>/?~！#￥……&*（）——|{}【】‘；：”“'。，、？]‘'";
  for (let i = 0; i < str.length; i++) {
    if (specialKey.indexOf(str.substr(i, 1)) != -1) {
      return false;
    }
  }
  return true;
}


function vehicleNumber(rule, value, callback) {
  if (isVehicleNumber(value)) {
    callback();
  } else {
    return callback(new Error("车牌号不正确"));
  }
}
function validateInput(rule, value, callback) {
  if (!checkSpecialKey(value)) {
    callback(new Error("不能含有特殊字符！！"));
  } else {
    callback();
  }
}
function validateAmount(rule, value, callback) {
  // 自定义校验函数的实现
  if (isNaN(value) || value <= 0) {
    callback(new Error('必须是大于0的数字'))
  } else {
    callback()
  }
}

function validateNum(rule, value, callback) {
  // 自定义校验函数的实现
  if (isNaN(value) || value < 0) {
    callback(new Error('必须是大于等于0的数字'))
  } else {
    callback()
  }
}

function validateHour(rule, value, callback) {
  if (!value || !Number.isInteger(parseInt(value))) {
    callback(new Error('请输入有效的小时'));
  } else if (value < 0) {
    callback(new Error('小时必须大于0'));
  } else {
    callback();
  }
}

function checkPhone(rule, value, callback) { // 手机号验证
  if (!value) {
    return callback(new Error('手机号不能为空'));
  } else {
    const reg = /^1[3456789]\d{9}$/
    if (reg.test(value)) {
      callback();
    } else {
      return callback(new Error('请输入正确的手机号'));
    }
  }
}

export {
  isVehicleNumber,
  vehicleNumber,
  validateNum,
  validateInput,
  validateAmount,
  validateHour,
  checkPhone
}
